Bug 1782996 - Fix build of ansible-operator for multi-arch
Summary: Fix build of ansible-operator for multi-arch
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Multi-Arch
Version: 4.4
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.4.0
Assignee: Yaakov Selkowitz
QA Contact: Jeremy Poulin
URL:
Whiteboard:
Depends On:
Blocks: 1782997
TreeView+ depends on / blocked
 
Reported: 2019-12-12 18:55 UTC by Yaakov Selkowitz
Modified: 2020-05-13 21:55 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1782997 (view as bug list)
Environment:
Last Closed: 2020-05-13 21:55:03 UTC
Target Upstream Version:


Attachments (Terms of Use)
Screen shot of workload installed from Ansible Service Operator on Z (104.55 KB, image/png)
2020-01-24 18:51 UTC, Cheryl A Fillekes
no flags Details
Screen shot of Ansible Service operator installed on Z, showing VERSION # (163.37 KB, image/png)
2020-01-24 18:53 UTC, Cheryl A Fillekes
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift ocp-release-operator-sdk pull 26 0 None closed Bug 1782996: Build natively on all arches 2020-06-02 20:29:35 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-13 21:55:05 UTC

Description Yaakov Selkowitz 2019-12-12 18:55:44 UTC
The ansible-operator Dockerfile specifies -x86_64-linux-gnu in the make target.  This causes GOARCH=amd64 to be defined during the compile, resulting in exec format errors when built on other arches.

Comment 4 Cheryl A Fillekes 2020-01-24 18:51:12 UTC
Created attachment 1655123 [details]
Screen shot of workload installed from Ansible Service Operator on Z

Comment 5 Cheryl A Fillekes 2020-01-24 18:53:03 UTC
Created attachment 1655124 [details]
Screen shot of Ansible Service operator installed on Z, showing VERSION #

Comment 7 errata-xmlrpc 2020-05-13 21:55:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.